Subject: Re: [netext] revised charter for the working group

From: Xiaoyan Jiang <[email-masked]>
Date: Tue, 19 Jan 2010 11:18:03 +0800

>> I think it should also support multihoming.

> No

  If  the virtual interface can support flow mobility between different
interfaces ,why can't it support multihoming?

Xiaoyan Jiang

---

From: Xiaoyan Jiang <[email-masked]>
Date: Thu, 21 Jan 2010 17:59:29 +0800

Hi

>Hi Mohana,
>
>Please see inline.
>
>
>On 1/19/10 5:47 PM, "Mohana Jeyatharan" <[email-masked]>
>wrote:
>
>> Hi Sri,
>>
>> Thanks for such elaborate explanation on the characteristics of the
>> virtual interface.  Although we have been seeing the term virtual
>> interface, we needed more explanation on the functions of this
>> interface.  To achieve flow mobility and specify how inter RAT handoff
>> can be achieved for PMIP, such description is useful.  For flow mobiltiy
>> with such virtual interface we need to specify the network entity
>> interactions(MAG-LMA interaction).
>>
>> I have two questions.
>>
>> - An IPv6 link as seen by the applications that the virtual interface is
>>> being part of through specific sub interface(s), when changed to be as
>>> part
>>> of through a different set of sub interface(s), will not trigger
>> session
>>> loss, address loss, as long as the IPv6 prefix is valid, and the host
>>> continues to receives RA's from the IP routers to the virtual
>> interface
>>> over
>>> the sub-interface(s).
>>
>> Suppose IF1 (interface 1) sees prefix P1, P2 in RA, later IF1 sees P1 in
>> RA due to flow mobility and then interface 2 sees P2 in RA due to flow
>> mobility, can such RA sequences be supported by IPv6 stack that sees a
>> single virtual interface?
>> I think it should not cause nay confusion bcos prefixes tied to a
>> certain interface canbe sent in a combined way or sent in seperate ways
>> using RA.
>> This feature you have highlighted is very useful to perform flow
>> mobility between interfaces.  Just wanted to clarify this.
>>
>
>Yes. The reachable paths for the prefixes have changed from the host
>perspective, but the v.if detects no change, its logically on the same IPv6
>link with hosted prefixes P1/P2. The physical interfaces are used for
>delivery purposes and advertised RA's will have not impact on them.
>
I have a question, if the two physical interfaces are used simultaneously, does
LMA need to know there is two interfaces in the same MN? If needed, what should
the virtual be used for? If not, when the second MAG registers for the virtual
interface, how LMA differentiates it from the first one?

Regards

Xiaoyan Jiang